Create an invoice
sender_data and the end_user_reference you provide must be associated with the same customer.Errors
Errors
Headers
Hex-encoded HMAC-SHA512 signature of the request body, generated using your secret key.
Body
Permanent ID of the customer in your system. Used to group, track, and analyze transactions made by a specific customer. Must not contain personal data, such as the user's name or email address.
If this parameter is set to true, the invoice will expire in 15 minutes after it is created.
Invoice title that the customer will see.
1 - 50Unique ID of the invoice in your system, case-insensitive. Avoid / and #: the cancel endpoint takes the foreign_id in its path and can't find an invoice whose foreign_id contains them.
255Currency you want to receive deposits in. For a list of all available currencies, see API currency codes.
The invoice amount you want to receive from the customer, in currency, as a number or a decimal string, with at most 8 decimal places. It must be within the minimum and maximum invoice amounts.
The URL the customer will be redirected to in case of a successful invoice payment.
The URL the customer will be redirected to in case of an unsuccessful invoice payment.
The customer's email address. It's filled in for the customer on the invoice page. The customer gets an email when the invoice is paid, and when a payment doesn't match the invoice (more or less than the invoice amount, a payment after the invoice has expired or failed, or a payment to an invoice you cancelled): either a link to claim a refund, or a notice that the amount is too small to be refunded.
Type of the merchant's customer who sends the funds.
Use natural if the sender is an individual person and legal if the sender is a legal entity. The selected type determines which fields must be included in sender_data.
natural, legal Must contain the details of the merchant's customer who sends the funds. Which fields are required depends on sender_type.
- Natural person
- Legal entity
For partial pay invoices, set this parameter to good_until_expired. For standard invoices, use fill_or_kill or leave this empty. See Partial pay invoices.
fill_or_kill, good_until_expired Invoice description that the customer will see.
1000Currency the customer will pay in. Requires timer: true (otherwise the request fails with The timer has to be set up in case sender currency is defined). The invoice is then created with a fixed payment currency, rate and address, and the response includes address, sender_amount and fixed_at. Must be a cryptocurrency different from currency.
Response
Created